<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
<style>
  .cont{
      max-width:600px;
      margin:0 auto;
      position:relative;
      top:10vh;
  }
</style>

<div class="card cont">
  <div style="background-color:#212b36;" class="card-title p-3 text-white">
    Sayeye - inserisci nuova password
  </div>
  <div class="card-body">
<form action="/auth/password.json" style="margin-bottom:10px;" method="post" id="reset_pswd_form">
    Nuova password:<br>
    <input type="password" style="width:100%;" name="password" id="password" required><br><br>
    Conferma nuova password:<br>
    <input type="password" style="width:100%;" name="password_confirmation" id="passwordConfirmation" required><br><br>
    <input type="button" style="width:100%;" class="btn btn-primary" value="Invia" onclick="sendForm()" id="submitButton">
</form>
    <div class="alert alert-success" style="display:none" role="alert">
      La tua password è stata modificata correttamente
    </div>
    <div class="alert alert-danger" style="display:none" role="alert">
      Si è verificato un errore, assicurati che la password sia lunga almeno 8 caratteri
    </div>
    <div class="alert alert-warning" style="display:none" role="alert">
      Le password non corrispondono
    </div>
  </div>
</div>

<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>

<script>
    document.getElementById("password")
        .addEventListener("keyup", function(event) {
        event.preventDefault();
        if (event.keyCode === 13) {
            document.getElementById("submitButton").click();
        }
    });
    document.getElementById("passwordConfirmation")
        .addEventListener("keyup", function(event) {
        event.preventDefault();
        if (event.keyCode === 13) {
            document.getElementById("submitButton").click();
        }
    });
    function sendForm() {
        
        //retrieve the form
        var resetForm = document.getElementById("reset_pswd_form");

        //retrieve the values
        var password = resetForm.elements["password"].value;
        var passwordConfirmation = resetForm.elements["password_confirmation"].value;
        var uid = "<%=@uid%>";
        var clientId = "<%=@client_id%>";
        var token = "<%=@token%>";
        var expiry = "<%=@expiry%>";

        if(password != passwordConfirmation) {

            //Check if password and confirmation match
            //alert("password and password confirmation does not match")
            $(".alert").hide()
            $(".alert-warning").show()
        }else{
        
            //build the request
            var xhr = new XMLHttpRequest();

            xhr.open("PUT", "/auth/password", true);
            xhr.setRequestHeader("Content-type", "application/json");
            xhr.setRequestHeader("uid", uid);
            xhr.setRequestHeader("client", clientId);
            xhr.setRequestHeader("access-token", token);
            xhr.setRequestHeader("expiry", expiry);
            xhr.setRequestHeader("token-type", "Bearer");
            
            params = JSON.stringify({password: password, password_confirmation: passwordConfirmation})

            //response callback
            var jsonResponse;
            xhr.onreadystatechange = function() {
                if (xhr.readyState == XMLHttpRequest.DONE) {
                    jsonResponse = JSON.parse(xhr.responseText)
                    
                    if (jsonResponse.success == true){
                        //alert("La tua password è stata modificata correttamente")
                        $(".alert").hide()
                        $(".alert-success").show()
                    }else{
                        //alert("Si è verificato un errore, assicurati che la password sia lunga almeno 8 caratteri")
                        $(".alert").hide()
                        $(".alert-danger").show()
                    }
                }
            }

            xhr.send(params);

        }

    }
</script>

